<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-case-activity-heading">Create or edit a Case Activity</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_caseInstanceId">Case Instance Id</label>
                    <input type="text" class="form-control" name="caseInstanceId" id="field_caseInstanceId"
                           formControlName="caseInstanceId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_event">Event</label>
                    <select class="form-control" name="event" formControlName="event" id="field_event">
                        <option value="CREATED">CREATED</option>
                        <option value="COMMENT">COMMENT</option>
                        <option value="ACTION">ACTION</option>
                        <option value="UPDATED">UPDATED</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_remark">Remark</label>
                    <input type="text" class="form-control" name="remark" id="field_remark"
                           formControlName="remark"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_createdBy">Created By</label>
                    <input type="text" class="form-control" name="createdBy" id="field_createdBy"
                           formControlName="createdBy"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_updatedBy">Updated By</label>
                    <input type="text" class="form-control" name="updatedBy" id="field_updatedBy"
                           formControlName="updatedBy"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_createdAt">Created At</label>
                    <div class="d-flex">
                        <input id="field_createdAt" type="datetime-local" class="form-control" name="createdAt" formControlName="createdAt" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_updatedAt">Updated At</label>
                    <div class="d-flex">
                        <input id="field_updatedAt" type="datetime-local" class="form-control" name="updatedAt" formControlName="updatedAt" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
